Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
withdraw
/
fiat
/
execute
Master Wallet Execute
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/execute \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "accountIdentifier": "8030303030",
  "amount": 1000,
  "assetId": "a79270bf-5a79-4bdc-8fef-586bfcff6e9f",
  "code": "445223",
  "currency": "NGN",
  "institutionIdentifier": "OPAYNGPC"
}
'
{
  "reference": "8030303030",
  "data": {
    "amlScreening": {},
    "amount": "1000",
    "amountPaid": "1000",
    "amountUSD": "0.68",
    "asset": {
      "address": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
      "configurations": null,
      "createdAt": "2026-01-20T08:10:37.843Z",
      "currency": "NGN",
      "decimals": 6,
      "id": "4a54eddc-b2bc-42a2-8197-4f2cb250866e",
      "isActive": true,
      "isNative": false,
      "name": "cNGN",
      "network": "mainnet",
      "standard": null,
      "symbol": "cNGN",
      "updatedAt": "2026-01-20T08:10:37.843Z"
    },
    "assetSwept": null,
    "assetSweptAmount": null,
    "assetSweptAt": null,
    "assetSweptGasFee": null,
    "assetSweptHash": null,
    "assetSweptRecipientAddress": null,
    "assetSweptSenderAddress": null,
    "blockHash": null,
    "blockNumber": null,
    "blockchain": {
      "configurations": null,
      "createdAt": "2026-01-20T08:10:37.776Z",
      "derivationPath": "m/44'/60'/0'/0",
      "id": "384ba700-5831-49a1-8cba-7d89385d5a25",
      "isActive": true,
      "isEvmCompatible": true,
      "isL2": true,
      "name": "base",
      "networkFeeModel": "native",
      "slug": "base",
      "symbol": "eth",
      "tokenStandard": null,
      "updatedAt": "2026-01-20T08:10:37.776Z"
    },
    "chainId": null,
    "confirmations": null,
    "confirmed": false,
    "createdAt": "2026-01-29T06:07:10.726Z",
    "createdChannel": "dashboard",
    "currency": "NGN",
    "fee": "2",
    "feeHash": null,
    "feeUSD": null,
    "gasFee": null,
    "gasPrice": null,
    "gasUsed": null,
    "hash": null,
    "id": "db53c3ef-5643-4f98-92cf-d02aef300f45",
    "isAutoSweep": false,
    "metadata": null,
    "network": "mainnet",
    "note": null,
    "processingProviderReference": null,
    "processingReason": null,
    "processingStatus": "PENDING",
    "rate": "1",
    "rateUSD": "0.00068",
    "reason": null,
    "recipientAddress": "0x30F6A8457F8E42371E204a9c103f2Bd42341dD0F",
    "reference": "v7OlAUdQzvrEabyMJJ3",
    "senderAddress": "0x969838345E5cd5F755DfcADB57e72F5d23271e48",
    "signedTransaction": null,
    "status": "PENDING",
    "toAmount": "1000",
    "toCurrency": "NGN",
    "tokenAddress": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
    "type": "OFFRAMP",
    "updatedAt": "2026-01-29T06:07:10.726Z",
    "wallet": {
      "address": "0x969838345E5cd5F755DfcADB57e72F5d23271e48",
      "configurations": {
        "addresses": {
          "prefunding": {
            "isActive": false,
            "rules": []
          }
        },
        "autoSettlement": {
          "isActive": false,
          "rules": []
        },
        "autoSweeping": {
          "isActive": true,
          "threshold": 0
        },
        "withdrawal": {
          "gasless": {
            "isActive": false,
            "operator": "gt",
            "threshold": 0
          }
        }
      },
      "createdAt": "2026-01-20T08:44:44.305Z",
      "derivationPath": "m/44'/60'/0'/0/0",
      "description": "This is Base master Wallet",
      "id": "7aa5120b-2106-43c6-92c7-6458b7d2de8b",
      "isActive": true,
      "name": "Base Mainnet",
      "network": "mainnet",
      "status": "ACTIVE",
      "updatedAt": "2026-01-20T08:44:44.305Z"
    }
  },
  "message": "Successful",
  "status": true
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
accountIdentifier
string
required

destination bank account identifier

Example:

"8030303030"

amount
number
required

amount to withdraw in asset units

Example:

1000

assetId
string
required

asset ID of the stablecoin to withdraw

Example:

"a79270bf-5a79-4bdc-8fef-586bfcff6e9f"

currency
string
required

destination fiat currency code

Example:

"NGN"

institutionIdentifier
string
required

bank or institution identifier code

Example:

"OPAYNGPC"

reference
string

client reference for tracking transaction

Example:

8030303030

code
string

2FA authentication code

Example:

"445223"

Response

200 - application/json

200

data
object
message
string
Example:

"Successful"

status
boolean
Example:

true